Automatic conversion from RINGELEM to INT
Status: New Start date: 11 Sep 2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.00 hour

Description

CoCoA-5 can be awkward about not "recognising" that a value is an integer.

f := x^2+3;

v := subst(f,x,5);

v; --> 28

SmoothFactor(v,5); --> ERROR expected INT but found RINGELEM

 

The "correct" current approach is to call AsINT explicitly:

SmoothFactor(AsINT(v),5); --> works fine

However this is inconvenient and ugly (= makes the code harder to read).

Related issues:

Related to CoCoA-5 - Design #549: Automatic conversion from RINGELEM to INT o... Closed 07 May 2014

History

#1 - 11 Sep 2019 15:47 - John Abbott

- Related to Design #549: Automatic conversion from RINGELEM to INT or RAT added

#2 - 10 Jun 2020 16:10 - Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.2

#3 - 10 Jun 2020 16:11 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

#4 - 03 Feb 2022 19:21 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
